# Generated from asciidoctor-defmastership-1.0.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name asciidoctor-defmastership

Name: rubygem-%{gem_name}
Version: 1.0.5
Release: 1%{?dist}
Summary: asciidoctor extension to handle applicable definition references
License: MIT
URL: https://gitlab.com/jjag/asciidoctor-defmastership/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5
# BuildRequires: rubygem(aruba)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rubocop) = 1.13
# BuildRequires: rubygem(rubocop-rake) >= 0.5
# BuildRequires: rubygem(rubocop-rake) < 1
# BuildRequires: rubygem(rubocop-rspec) >= 2.0
# BuildRequires: rubygem(rubocop-rspec) < 3
BuildArch: noarch

%description
asciidoctor-defmastership allows to define
applicable definitions references, link to other references
(internal or external).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENCE
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_instdir}/example
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/asciidoctor-defmastership.gemspec

%changelog
* Mon Aug 23 2021 mockbuilder - 1.0.5-1
- Initial package
